#include "bug.h"
#include "debuggers.h"
#include <iostream>
#include <random>

namespace pabloader {
Bonus::Bonus(Debuggers* game)
    : Entity(game, &game->bonusesSprite)
{
    tileDim = { 1, 1 };
#ifdef _DEBUG
    DEBUG_COLOR = olc::YELLOW;
#endif
}

BonusType Bonus::GetType()
{
    return static_cast<BonusType>(tile.x * 4 + tile.y);
}

void Bonus::ResetPosition()
{
    Entity::ResetPosition();
    rotation = 0;
    rotationSpeed = 0;
}
}